ApiBulkCommandList (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiBulkCommandList

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiListBase
  - - com.cloudera.api.swagger.model.ApiCommandList
    - - com.cloudera.api.swagger.model.ApiBulkCommandList

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiBulkCommandList
      extends ApiCommandList

  A list of commands. <p> This list is returned whenever commands are issued in bulk, and contains a second list with information about errors issuing specific commands.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiBulkCommandList()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiBulkCommandList` | `addErrorsItem(String errorsItem)`
    `boolean` | `equals(Object o)`
    `ApiBulkCommandList` | `errors(List<String> errors)`
    `List<String>` | `getErrors()` Errors that occurred when issuing individual commands.
    `int` | `hashCode()`
    `void` | `setErrors(List<String> errors)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiCommandList

      `addItemsItem, getItems, items, setItems`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiBulkCommandList

          public ApiBulkCommandList()

  - ### Method Detail

    - #### errors

          public ApiBulkCommandList errors(List<String> errors)

    - #### addErrorsItem

          public ApiBulkCommandList addErrorsItem(String errorsItem)

    - #### getErrors

          public List<String> getErrors()

      Errors that occurred when issuing individual commands.
      Returns:
        errors

    - #### setErrors

          public void setErrors(List<String> errors)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiCommandList`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiCommandList`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiCommandList`

Copyright © 2026. All rights reserved.